ALLEGRO_MEMORY_INTERFACE(3)

NAME

ALLEGRO_MEMORY_INTERFACE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef struct ALLEGRO_MEMORY_INTERFACE ALLEGRO_MEMORY_INTERFACE;

DESCRIPTION

This structure has the following fields.

    void *(*mi_malloc)(size_t n, int line, const char *file, const char *func);
    void (*mi_free)(void *ptr, int line, const char *file, const char *func);
    void *(*mi_realloc)(void *ptr, size_t n, int line, const char *file,
                        const char *func);
    void *(*mi_calloc)(size_t count, size_t n, int line, const char *file,
                       const char *func);

SEE ALSO

al_set_memory_interface(3)